# Based on spec created by pyp2rpm-2.0.0
%global pypi_name yamllint

Name:           %{pypi_name}
Version:        1.0.3
Release:        2%{?dist}
Summary:        A linter for YAML files

License:        GPLv3
URL:            https://github.com/adrienverge/yamllint
Source0:        https://pypi.python.org/packages/source/y/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

Requires:       python3-PyYAML

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-nose
BuildRequires:  python3-PyYAML
BuildRequires:  python3-sphinx

%description
A linter for YAML files.

yamllint does not only check for syntax validity, but
for weirdnesses like key
repetition and cosmetic problems such as lines length,
trailing spaces,
indentation, etc.

%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%{__make} SPHINXBUILD=/usr/bin/sphinx-build-3 -C docs man
gzip docs/_build/man/%{pypi_name}.1

%install
# Must do the subpackages' install first because the scripts in /usr/bin are
# overwritten with every setup.py install.
%py3_install

mkdir -p %{buildroot}%{_mandir}/man1/
install -m0644 docs/_build/man/%{pypi_name}.1.gz %{buildroot}%{_mandir}/man1/

%check
%{__python3} setup.py test

%files
%doc README.rst
%{_bindir}/%{pypi_name}
%{_mandir}/man1/%{pypi_name}.1.gz
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-*
%exclude %{python3_sitelib}/tests

%changelog
* Fri Feb 26 2016 Adam Miller <maxamillion@gmail.com> - 1.0.3-2
- Fix permissions on man page install

* Wed Feb 24 2016 Adam Miller <maxamillion@gmail.com> - 1.0.3-1
- Update to latest upstream
- Add man page

* Thu Feb 18 2016 Adam Miller <maxamillion@gmail.com> - 0.7.2-1
- Initial package.
